/***
/* POP-UP CAF 2023
/* ANV-COP21
/* Vue mobile
/* 13/11/2023 - Gauthier
***/

/********************************/
/*** COMMUN MOBILE ET DESKTOP ***/
/********************************/

/* Mega-container qui prend toute la page */
.hustle-popup { /* Ne peut pas être modifié ici, il faut le modifier depuis l'éditeur de style du thème */ }

/* Reset containers superflux */
.hustle-info, .hustle-layout, .hustle-layout-content, .hustle-content, .hustle-content-wrap, .hustle-main-wrapper {
	margin: 0 !important;
	padding: 0 !important;
	background: none;
}

/* Container principal */
.hustle-popup-content {
	z-index: 2000;
}

/* Container général personnalisé */
.hustle-popup-content .popup-content {
	margin: 0;
	width: 100%;
	background: #FECE00; /* jaune ANV */
	overflow-y: auto;
	display: flex;
	flex-direction: column;
}

/* Croix en haut à droite */
.hustle-button-icon { z-index: 2001; position: absolute; width: 100%; }
.hustle-button-icon .hustle-icon-close { margin-right: 10px; text-align: right; color: #fff; /* blanc */}
.hustle-button-icon .hustle-icon-close:hover { color: #FECE00; /* jaune ANV */ }

/* Ligne de contenu dans le popup */
.hustle-popup-content .popup-row {
	text-align: center;
	margin-bottom: 20px;
}

/* Image en haut (dans un placeholder) */
.hustle-popup-content .popup-img-placeholder {
	position:relative;
	width:100%;
	padding-top:67%;
}
.hustle-popup-content .popup-img-placeholder .popup-img {
	position:absolute;
	top:0;
	left:0;
}

/* Image en haut (dans un placeholder) */
.hustle-popup-content .popup-img-placeholder {
	position:relative;
	width:100%;
	padding-top:67%;
}
.hustle-popup-content .popup-img-placeholder .popup-img {
	position:absolute;
	top:0;
	left:0;
}

/* Boîte bordeaux */
.popup-box {
	background: #690F0F; /* bordeaux ANV */
	width: 90%;
	margin-left: auto;
	margin-right: auto;
	padding: 10px;
	display: flex; /* pour contenir des colonnes côte-à-côte */
}

/* Répartition largeur des colonnes */
.popup-box .column {
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.popup-box .column1 { width: 40%; }
.popup-box .column2 { width: 60%; }

/* Row avec l'image et le bouton */
.hustle-popup-content .popup-box .row {
	display: flex;
	justify-content: center;
	padding: 0;
}

/* Image main-coeur */
.hustle-popup-content .popup-box img
{
	width: 60px;
	height: 60px;
	margin: 10px;
}

/* Titre principal */
.hustle-popup-content .popup-content h1 {
	width: 100%;
	padding: 0 10px;
	border: none;
	color: #690F0F !important; /* bordeaux ANV */
	font-family: "Raleway", Arial, sans-serif;
	font-size: 20px;
	font-weight: 600;
	line-height: 1em;
}

/* Titre dans la boîte bordeaux */
.hustle-popup-content .popup-content .popup-box h1 {
  color: #fff !important; /* blanc */;
}

/* Sous-tire dans la boîte bordeaux
NON UTILISE EN 2023
.hustle-popup-content .popup-content .popup-box h1 .popup-subtitle {
  font-size: 16px;
  font-weight: 600;
}
*/

/* Texte */
.hustle-popup-content .popup-content p {
  font-family: "Raleway", Arial, sans-serif;
  font-size: 16px;
  color: #fff; /* blanc */;
}

/* Boutons container */
.hustle-popup-content .popup-content .popup-cta-container {
	display: flex;
	justify-content: center;
	margin: 10px 10px;
}

/* Boutons */
.hustle-popup-content .popup-content .popup-cta-container a {
	margin: auto;
	padding: 7px 15px;
	border-radius: 20px;
	font-family: "Raleway", Arial, sans-serif;
	font-weight: 600;
	font-size: 16px;
	line-height: initial;
}

/* Bouton principal */
.hustle-popup-content .popup-content .popup-cta-container a {
	background: #fff; /* fond blanc */
	color: #690F0F !important; /* texte bordeaux */
}
.hustle-popup-content .popup-content .popup-cta-container a:hover {
	background: #690F0F;  /* fond bordeaux ANV */
	color: #fff !important;  /* texte blanc */;
}

/* Bouton dans la boîte bordeaux */
.hustle-popup-content .popup-content .popup-box .popup-cta-container a {
	background: #FECE00;  /* fond jaune ANV */
	color: #690F0F !important;  /* texte bordeaux ANV */
}
.hustle-popup-content .popup-content .popup-box .popup-cta-container a:hover {
	background: #fff;  /* fond blanc */
	color: #FECE00 !important;  /* texte jaune ANV */;
}

/**************************/
/*** SPECIFIQUE DESKTOP ***/
/**************************/

/* Fond gris */
.hustle-popup-mask { display: none; }

/* Container principal */
.hustle-popup-content {
	position: fixed;
	top: 0;
	left: 0;
	margin: 0;
	height: 100vh;
	width: 33vw;
	box-shadow: 5px 0px 5px #333; /* Ombre à droite */
}

 /* Container général personnalisé */
 .hustle-popup-content .popup-content {
 	height: 100vh;
 }

